Bug 524355 - PATCH: do not try to activate isw raidsets with dmraid, unless noiswmd is present on the cmdline
Summary: PATCH: do not try to activate isw raidsets with dmraid, unless noiswmd is pre...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-19 11:57 UTC by Hans de Goede
Modified: 2014-03-17 03:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-21 17:11:57 UTC


Attachments (Terms of Use)
PATCH: do not try to activate isw raidsets with dmraid, unless noiswmd is present on the cmdline (629 bytes, patch)
2009-09-19 11:57 UTC, Hans de Goede
no flags Details | Diff

Description Hans de Goede 2009-09-19 11:57:41 UTC
Created attachment 361754 [details]
PATCH: do not try to activate isw raidsets with dmraid, unless noiswmd is present on the cmdline

Do not try to activate isw raidsets with dmraid, unless noiswmd is present on the cmdline.

This patch also replaces:
/sbin/dmraid -ay -i -p -t | <complicated grep + awk>

With a simple:
/sbin/dmraid -s -c -i

Which besides being simpler also has the advantage of not listing subsets
of layer raids (such as raid10) so that we do not try to activate individual
subsets (which fails, and shows ugly error messages).

Note we need todo the same (use /sbin/dmraid -s -c -i) for RHEL-5, I'll file
a separate bug for this.

Comment 1 Hans de Goede 2009-09-19 12:17:44 UTC
p.s. I've filed 2 more initscript bugs with patches: bug 524357, bug 524359, you
might want to take a look at those too, before doing a new release.

Comment 3 Michal Schmidt 2009-10-07 14:12:49 UTC
This caused a minor regression: bug 527726


Note You need to log in before you can comment on or make changes to this bug.